﻿@model project_asp_mvc.Product
@{
    ViewBag.Title = "Detail";
    var relatedProduct = (List<project_asp_mvc.Product>)ViewBag.RelatedProduct;
}

<div class="product-big-title-area">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="product-bit-title text-center">
                    <h2>Product detail</h2>
                </div>
            </div>
        </div>
    </div>
</div>


<div class="single-product-area">
    <div class="zigzag-bottom"></div>
    <div class="container">
        <div class="row">
            <div class="col-md-4">
                <div class="single-sidebar">
                    <h2 class="sidebar-title">Search Products</h2>
                    @{ 
                        Product pr = ViewBag.product;
                        String str = "";
                    }
                    <form action="@Url.Action("Search", "Home", new { @id = pr.id, @SearchString = str })">
                        @*<input type="text" placeholder="Search products...">*@
                        @Html.TextBox("SearchString", str) <br/>
                        <input type="submit" value="Search">
                    </form>
                </div>

                <div class="single-sidebar">
                    <h2 class="sidebar-title">Products</h2>
                    @*<div class="thubmnail-recent">
                        <img src="~/Content/images/product-thumb-1.jpg" class="recent-thumb" alt="">
                        <h2><a href="">Sony Smart TV - 2015</a></h2>
                        <div class="product-sidebar-price">
                            <ins>$700.00</ins> <del>$100.00</del>
                        </div>
                    </div>
                    <div class="thubmnail-recent">
                        <img src="~/Content/images/product-thumb-1.jpg" class="recent-thumb" alt="">
                        <h2><a href="">Sony Smart TV - 2015</a></h2>
                        <div class="product-sidebar-price">
                            <ins>$700.00</ins> <del>$100.00</del>
                        </div>
                    </div>*@
                    @if (ViewBag.ResultSet != null)
                    {
                        foreach (Product product in ViewBag.ResultSet)
                        {
                            <div class="thubmnail-recent">
                                <img src="~/Content/images/@product.image" class="recent-thumb" alt="">
                                <h2><a href="">@product.name</a></h2>
                                <div class="product-sidebar-price">
                                    <ins>@String.Format(System.Globalization.CultureInfo.GetCultureInfo(""), "{0:c0}", product.price) @product.unit</ins>
                                </div>
                            </div>
                        }
                    }                                  
                </div>

                <div class="single-sidebar">
                    <h2 class="sidebar-title">Recent Posts</h2>
                    <ul>
                        <li><a href="">Sony Smart TV - 2015</a></li>
                        <li><a href="">Sony Smart TV - 2015</a></li>
                        <li><a href="">Sony Smart TV - 2015</a></li>
                        <li><a href="">Sony Smart TV - 2015</a></li>
                        <li><a href="">Sony Smart TV - 2015</a></li>
                    </ul>
                </div>
            </div>

            <div class="col-md-8">
                <div class="product-content-right">
                    <div class="product-breadcroumb">
                        <a href="">Home</a>
                        <a href="">Category Name</a>
                        <a href="">Sony Smart TV - 2015</a>
                    </div>

                    <div class="row">
                        <div class="col-sm-6">
                            <div class="product-images">
                                <div class="product-main-img">
                                    <img src="~/Content/images/@Model.image" alt="">
                                </div>

                                @*<div class="product-gallery">
                                    <img src="~/Content/images/product-thumb-1.jpg" alt="">
                                    <img src="~/Content/images/product-thumb-2.jpg" alt="">
                                    <img src="~/Content/images/product-thumb-3.jpg" alt="">
                                </div>*@
                            </div>
                        </div>

                        <div class="col-sm-6">
                            <div class="product-inner">
                                <h2 class="product-name">@Model.name</h2>
                                <div class="product-inner-price">
                                    <ins>@String.Format(System.Globalization.CultureInfo.GetCultureInfo(""), "{0:c0}", @Model.price)@Model.unit</ins>
                                </div>

                                <form action="" class="cart">
                                    <div class="quantity">
                                        <input type="number" size="4" class="input-text qty text" title="Qty" value="1" name="quantity" min="1" step="1">
                                    </div>
                                    <button class="add_to_cart_button" type="submit">Add to cart</button>
                                </form>

                                <div class="product-inner-category">
                                    <p>Category: <a href="">Summer</a>. Tags: <a href="">awesome</a>, <a href="">best</a>, <a href="">sale</a>, <a href="">shoes</a>. </p>
                                </div>

                                <div role="tabpanel">
                                    <ul class="product-tab" role="tablist">
                                        <li role="presentation" class="active"><a href="#home" aria-controls="home" role="tab" data-toggle="tab">Description</a></li>
                                        <li role="presentation"><a href="#profile" aria-controls="profile" role="tab" data-toggle="tab">Reviews</a></li>
                                    </ul>
                                    <div class="tab-content">
                                        <div role="tabpanel" class="tab-pane fade in active" id="home">
                                            <h2>Product Description</h2>
                                            <p>@Model.description</p>
                                        </div>
                                        <div role="tabpanel" class="tab-pane fade" id="profile">
                                            <h2>Reviews</h2>
                                            <div class="submit-review">
                                                <p><label for="name">Name</label> <input name="name" type="text"></p>
                                                <p><label for="email">Email</label> <input name="email" type="email"></p>
                                                <div class="rating-chooser">
                                                    <p>Your rating</p>

                                                    <div class="rating-wrap-post">
                                                        <i class="fa fa-star"></i>
                                                        <i class="fa fa-star"></i>
                                                        <i class="fa fa-star"></i>
                                                        <i class="fa fa-star"></i>
                                                        <i class="fa fa-star"></i>
                                                    </div>
                                                </div>
                                                <p><label for="review">Your review</label> <textarea name="review" id="" cols="30" rows="10"></textarea></p>
                                                <p><input type="submit" value="Submit"></p>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                    <div class="related-products-wrapper">
                        <h2 class="related-products-title">Related Products</h2>
                        <div class="related-products-carousel">
                            @foreach (var p in relatedProduct)
                            {
                                <div class="single-product">
                                    <div class="product-f-image">
                                        <img src="~/Content/images/@p.image" alt="">
                                        <div class="product-hover">
                                            <a href="" class="add-to-cart-link"><i class="fa fa-shopping-cart"></i> Add to cart</a>
                                            <a href="" class="view-details-link"><i class="fa fa-link"></i> See details</a>
                                        </div>
                                    </div>

                                    <h2><a href="">@p.name</a>
                                    </h2>

                                    <div class="product-carousel-price">
                                        <ins>@String.Format(System.Globalization.CultureInfo.GetCultureInfo(""), "{0:c0}", @p.price)@p.unit</ins>
                                    </div>
                                </div>
                            }       
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>

